Subject: [mobile-ip] Proposed text for supporting MN with Co-located CoA

From: "Jayshree Bharatia" <[email-masked]>
Date: Mon, 12 May 2003 16:32:10 -0500

Hello all,

Based on some private email exchanges between few folks,  we have agreed
(kind of) to include the following text to RFC3012bis for supporting the MN
with co-located CoA:

"Based on local policy, a Mobile Node with co-located care-of-address MAY 
include the Mobile-AAA Authentication extension in Registration Request. 
In this case, if the Mobile Node uses SPI value of CHAP_SPI or HMAC_CHAP_SPI

(section 8) in the MN-AAA Authentication extension, Mobile Node MUST include

the Mobile-Foreign Challenge extension prior to the Mobile-AAA
Authentication 
extension. The mechanism used by the Mobile Node to obtain the Challenge
value is 
outside the scope of this document."

Any comments?

Thanks,
Jayshree